function seg = segmentImage(im, param)
% SEGMENTIMAGE sements image
%   SEG = SEGMENTIMAGE(IM, PARAM) segments IM using method specified in
%   PARAM using k-means method. PARAM is a structure with various fields.
%
% This code is part of:
%
%   CMPSCI 670: Computer Vision, Fall 2014
%   University of Massachusetts, Amherst
%   Instructor: Subhransu Maji
%
%   Homework 4: Grouping and Texture

% Compute features at each pixel in the image
feat = computeFeatures(im, param);

% Group features using k-means
seg  = groupFeatures(feat, im, param);        